#!/bin/bash
################################################################################
# Executes the fqe jar for all the supported algorithms and all the LUBM queries.
# Params:
#	$1 maximum memory allocation pool for a Java Virtual Machine (JVM)'s
#   $2 timeout in seconds
#   $3 fqe properties file
#	$4 rdfvs properties file
#	$5 (alert) email to address
#	$6 queries to execute range from
#   $7 queries to execute range to
################################################################################

################################################################################
# Asserts the number of parameters given is correct.
################################################################################
if [ "$#" -ne 7 ]; then
	echo "Illegal number of parameters."
	echo "Parameters:"
	echo "   * Maximum memory allocation pool for a Java Virtual Machine (JVM)'s"
	echo "   * Timeout in seconds"
	echo "   * fqe properties file"
	echo "   * rdfvs properties file"
	echo "   * Email to address for alert emails"
	echo "   * Queries to execute range from"
	echo "   * Queries to execute range to"
	echo "Use example: fqe_db2 \"12288m\" 3600 /path/to/fqe.properties /path/to/rdfvs.properties \"test@localhost.com\" 1 28"
	exit 1
fi

################################################################################
# Forces DB2 server stop and start.
# Requires user permissions.
################################################################################
restart() {
	db2stop force
	db2start
}

. fqe.sh

echo_parameters
execute_all_with_timeout